varying vec3 ReflectDir;

varying vec3 Normal;

void main()
{
    gl_Position    = ftransform();
    Normal = gl_Normal; 
    vec3 normal    = normalize(gl_NormalMatrix * normalize(gl_Normal));
    vec4 pos       = gl_ModelViewMatrix * gl_Vertex;
    ReflectDir     = normalize(gl_Normal);
}
